curl --request GET \
--url https://api.shoppex.io/dev/v1/webhooks/logs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"uniqid": "<string>",
"webhook_uniqid": "<string>",
"event_type": "<string>",
"url": "<string>",
"status": "pending",
"status_code": 123,
"attempt": 123,
"duration_ms": 123,
"error_message": "<string>",
"created_at": 123,
"delivered_at": 123,
"payload": null,
"request_headers": null,
"response": null,
"response_headers": null
}
],
"pagination": {
"total": 123,
"page": 123,
"per_page": 123,
"total_pages": 123
}
}curl --request GET \
--url https://api.shoppex.io/dev/v1/webhooks/logs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"uniqid": "<string>",
"webhook_uniqid": "<string>",
"event_type": "<string>",
"url": "<string>",
"status": "pending",
"status_code": 123,
"attempt": 123,
"duration_ms": 123,
"error_message": "<string>",
"created_at": 123,
"delivered_at": 123,
"payload": null,
"request_headers": null,
"response": null,
"response_headers": null
}
],
"pagination": {
"total": 123,
"page": 123,
"per_page": 123,
"total_pages": 123
}
}Use your API key with the Bearer scheme. Get your key from Dashboard → Settings → API Keys. Format: Authorization: Bearer shx_...
x >= 11 <= x <= 100pending, success, failed order:created, order:updated, order:partial, order:paid, order:cancelled, order:disputed, order:created:product, order:updated:product, order:partial:product, order:paid:product, order:cancelled:product, order:disputed:product, product:created, product:edited, product:stock, product:dynamic, query:created, query:replied, feedback:received, subscription:trial:started, subscription:trial:ended, subscription:created, subscription:updated, subscription:renewed, subscription:cancelled, subscription:upcoming, subscription:trial:started:product, subscription:trial:ended:product, subscription:created:product, subscription:updated:product, subscription:renewed:product, subscription:cancelled:product, subscription:upcoming:product